ChangeSet 1.1508.1.9, 2003/06/30 11:18:01-07:00, grigouze@noos.fr

[PATCH] USB: zaurus SL-C700

This is a patch for usbnet for working with Zaurus SL-C700.
The productid is different from other Zaurus, so i add an entry for it :)


 drivers/usb/net/usbnet.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+)


diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Tue Jul  1 14:23:23 2003
+++ b/drivers/usb/net/usbnet.c	Tue Jul  1 14:23:23 2003
@@ -1701,6 +1701,15 @@
 
 	.in = 1, .out = 2,
 };
+static const struct driver_info zaurus_slc700_info = {
+    .description =  "Sharp Zaurus SL-C700",
+    .flags =    FLAG_FRAMING_Z,
+    .check_connect = always_connected,
+    .tx_fixup =     zaurus_tx_fixup,
+
+    .in = 1, .out = 2,
+};
+
 
 // SL-5600 and C-700 are PXA based; should resemble A300
 
@@ -2751,6 +2760,15 @@
 	.bInterfaceSubClass	= 0x0a,
 	.bInterfaceProtocol	= 0x00,
 	.driver_info =  (unsigned long) &zaurus_slb500_info,
+}, {
+	.match_flags    =   USB_DEVICE_ID_MATCH_INT_INFO
+	          | USB_DEVICE_ID_MATCH_DEVICE,
+	.idVendor       = 0x04DD,
+	.idProduct      = 0x8007,
+	.bInterfaceClass    = 0x02,
+	.bInterfaceSubClass = 0x0a,
+	.bInterfaceProtocol = 0x00,
+	.driver_info =  (unsigned long) &zaurus_slc700_info,
 },
 #endif
 
